Name:           mate-bluetooth
Version:        1.5.0
Release:        2%{?dist}
Summary:        MATE Desktop bluetooth applet
License:        GPLv2+
URL:            http://www.mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz

BuildRequires:  mate-common
BuildRequires:  mate-doc-utils
BuildRequires:  mate-panel-devel
BuildRequires:  mate-file-manager-sendto-devel
BuildRequires:  rarian-compat
BuildRequires:  gtk2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  unique-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libmatenotify-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gsettings-desktop-schemas-devel

Requires:  %{name}-libs%{?_isa} = %{version}-%{release}
Requires:  mate-panel
Requires:  mate-file-manager-sendto

%description
MATE Desktop bluetooth applet


%package libs
Summary:        Shared libraries for mate-bluetooth
License:        LGPLv2+
Requires:       %{name} = %{version}-%{release}

%description libs
development files for mate-bluetooth


%package devel
Summary:        Development file for mate-bluetooth
License:        LGPLv2+
Requires:       %{name}-libs%{?_isa} = %{version}-%{release} 

%description devel
development files for mate-bluetooth

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure --disable-static           \
           --disable-scrollkeeper     \
           --disable-schemas-compile  \
           --disable-icon-update      \
           --disable-desktop-update   \
           --enable-caja-sendto  

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -rf {} ';'
find %{buildroot} -name '*.a' -exec rm -rf {} ';'
%find_lang %{name} --all-name

desktop-file-install                               \
     --remove-category="MATE"                      \
     --add-category="X-Mate"                       \
     --delete-original                             \
     --dir=%{buildroot}%{_datadir}/applications    \
%{buildroot}%{_datadir}/applications/mate-bluetooth-properties.desktop

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
        /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
        /bin/touch --no-create %{_datadir}/icons/mate &> /dev/null || :
        /usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/mate &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_datadir}/icons/mate/*x*/status/*.png
%{_datadir}/icons/mate/*x*/apps/bluetooth.png
%{_datadir}/gtk-doc/html/mate-bluetooth
%{_datadir}/icons/mate/scalable/*/*.svg
%config %{_sysconfdir}/xdg/autostart/mate-bluetooth-applet.desktop
%{_bindir}/mate-bluetooth-applet
%{_bindir}/mate-bluetooth-properties
%{_bindir}/mate-bluetooth-sendto
%{_bindir}/mate-bluetooth-wizard
%{_datadir}/MateConf/gsettings/mate-bluetooth-nst
%{_datadir}/glib-2.0/schemas/org.mate.Bluetooth.nst.gschema.xml
%{_datadir}/MateConf/gsettings/mate-bluetooth
%{_datadir}/applications/mate-bluetooth-properties.desktop
%{_datadir}/glib-2.0/schemas/org.mate.Bluetooth.gschema.xml
%{_datadir}/mate/help/mate-bluetooth
%{_datadir}/omf/mate-bluetooth
%{_datadir}/mate-bluetooth

%files libs
%{_libdir}/libmate-bluetooth.so.8
%{_libdir}/libmate-bluetooth.so.8.0.0
%{_libdir}/girepository-1.0/MateBluetooth-1.0.typelib
%{_libdir}/mate-bluetooth/plugins/libgbtgeoclue.so
%{_libdir}/caja-sendto/plugins/libnstbluetooth.so

%files devel
%{_includedir}/mate-bluetooth
%{_libdir}/pkgconfig/mate-bluetooth-1.0.pc
%{_libdir}/libmate-bluetooth.so
%{_datadir}/gir-1.0/MateBluetooth-1.0.gir

%changelog
* Mon Mar 18 2013 <dan.mashal@fedoraproject.org> 1.5.0-2
- Update specfile according to review
- Split libs package off into separate package
- Update icon scriptlets

* Sat Dec 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-1
- Initial build
